Update Cells
Request
POST
https://api.wiki.yandex.net/v1/grids/{idx}/cells
Path parameters
|
Name |
Description |
|
idx |
Type: string<uuid4> Example: `` |
Body
application/json
{
"revision": "example",
"cells": [
{
"row_id": 0,
"column_slug": "example",
"value": 0
}
]
}
|
Name |
Description |
|
cells |
Type: UpdateCellSchema[] Example
|
|
revision |
Type: string Example: |
UserIdentityExtended
Extended user identifier with additional fields
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in Yandex Cloud Example: |
|
uid |
Type: string Unique user identifier (UID) in Yandex Example: |
|
username |
Type: string User login Example: |
Example
{
"uid": "example",
"cloud_uid": "example",
"username": "example"
}
UpdateCellSchema
|
Name |
Description |
|
column_slug |
Type: string Example: |
|
row_id |
Type: integer |
|
value |
Any of 6 types
Example: |
Example
{
"row_id": 0,
"column_slug": "example",
"value": 0
}
Responses
200 OK
OK
Body
application/json
{
"revision": "example",
"cells": [
{
"row_id": "example",
"column_slug": "example",
"value": 0
}
]
}
|
Name |
Description |
|
cells |
Type: CellSchema[] Example
|
|
revision |
Type: string Example: |
TicketSchema
Ticket schema from Yandex Tracker
|
Name |
Description |
|
key |
Type: string Ticket key (for example, Example: |
|
resolved |
Type: boolean The ticket is resolved (closed) |
Example
{
"key": "example",
"resolved": true
}
UserIdentity
User identifier
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in the cloud (for the external instance) Example: |
|
uid |
Type: string User identifier in Yandex (for the internal instance) Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
UserSchema
Information about the user
|
Name |
Description |
|
affiliation |
Type: string User affiliation (for example, Example: |
|
display_name |
Type: string User display name Example: |
|
id |
Type: integer Internal user identifier |
|
is_dismissed |
Type: boolean The user has been dismissed |
|
username |
Type: string User login Example: |
|
identity |
All of 1 type
User identifier in the system Example
|
Example
{
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
}
UnresolvedUserSchema
Schema for a user that was not found in the system
|
Name |
Description |
|
identity |
All of 1 type
User identifier Example
|
|
username |
Type: string User login Example: |
Example
{
"username": "example",
"identity": {
"uid": "example",
"cloud_uid": "example"
}
}
TrackerEnumField
Enumeration field from Yandex Tracker
|
Name |
Description |
|
display |
Type: string Displayed field value Example: |
|
key |
Type: string Field value key Example: |
Example
{
"display": "example",
"key": "example"
}
CellSchema
|
Name |
Description |
|
column_slug |
Type: string Example: |
|
row_id |
Type: string Example: |
|
value |
Any of 10 types
Example: |
Example
{
"row_id": "example",
"column_slug": "example",
"value": 0
}